%global commit d8c968cead5a

Name: httpress
Version: 1.1.0
Release: 11%{?dist}
Summary: HTTP stress & benchmark utility

Group: System Environment/Daemons
License: BSD
URL: https://bitbucket.org/yarosla/httpress
Source0: https://bitbucket.org/yarosla/httpress/get/1.1.0.tar.gz#/%{name}-%{version}.tar.gz
Source1: httpress.8
Patch0:  httpress-cflags.patch

BuildRequires: gcc, libev-devel, gnutls-devel

%description
High performance HTTP server stress & benchmark utility inspired by
the weighttp tool. It is event-driven, multi-threaded and provides
support for SSL.

%prep
%setup -qn yarosla-%{name}-%{commit}
%patch0 -p1


%build
CFLAGS="${CFLAGS:-%optflags} -I/usr/include/libev" ; export CFLAGS ;
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_mandir}/man8/
install -p -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man8/
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 bin/Release/httpress %{buildroot}%{_bindir}

%files
%{_bindir}/httpress
%{_mandir}/man8/httpress.8*

%changelog
* Mon Jul 23 2018 Nikos Mavrogiannopoulos - 1.1.0-11
- Added gcc build requires

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.1.0-1
- Initial version of the 1.1.0 version of the package
